Index: include/class.custom_field.php
===================================================================
--- include/class.custom_field.php	(revision 3164)
+++ include/class.custom_field.php	(working copy)
@@ -154,10 +154,8 @@
      */
     function updateValues()
     {
-        global $HTTP_POST_VARS;
-
         $prj_id = Auth::getCurrentProject();
-        $issue_id = Misc::escapeInteger($HTTP_POST_VARS["issue_id"]);
+        $issue_id = Misc::escapeInteger($_POST["issue_id"]);
 
         $old_values = Custom_Field::getValuesByIssue($prj_id, $issue_id);
 
@@ -168,7 +166,7 @@
                  FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  WHERE
-                    fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($HTTP_POST_VARS['custom_fields']))) . ")";
+                    fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($_POST['custom_fields']))) . ")";
         $field_types = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
 
         // get the titles for all of the custom fields being submitted
@@ -178,11 +176,11 @@
                  FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  WHERE
-                    fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($HTTP_POST_VARS['custom_fields']))) . ")";
+                    fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($_POST['custom_fields']))) . ")";
         $field_titles = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
 
         $updated_fields = array();
-        foreach ($HTTP_POST_VARS["custom_fields"] as $fld_id => $value) {
+        foreach ($_POST["custom_fields"] as $fld_id => $value) {
 
             $fld_id = Misc::escapeInteger($fld_id);
 
@@ -270,7 +268,7 @@
                     $updated_fields[$field_titles[$fld_id]] = History::formatChanges($icf_value, $value);
                 }
             } else {
-                $old_value = Custom_Field::getDisplayValue($HTTP_POST_VARS['issue_id'], $fld_id, true);
+                $old_value = Custom_Field::getDisplayValue($_POST['issue_id'], $fld_id, true);
 
                 if (!is_array($old_value)) {
                     $old_value = array($old_value);
@@ -280,21 +278,21 @@
                 }
                 if ((count(array_diff($old_value, $value)) > 0) || (count(array_diff($value, $old_value)) > 0)) {
 
-                    $old_display_value = Custom_Field::getDisplayValue($HTTP_POST_VARS['issue_id'], $fld_id);
+                    $old_display_value = Custom_Field::getDisplayValue($_POST['issue_id'], $fld_id);
                     // need to remove all associated options from issue_custom_field and then
                     // add the selected options coming from the form
-                    Custom_Field::removeIssueAssociation($fld_id, $HTTP_POST_VARS["issue_id"]);
+                    Custom_Field::removeIssueAssociation($fld_id, $_POST["issue_id"]);
                     if (@count($value) > 0) {
-                        Custom_Field::associateIssue($HTTP_POST_VARS["issue_id"], $fld_id, $value);
+                        Custom_Field::associateIssue($_POST["issue_id"], $fld_id, $value);
                     }
-                    $new_display_value = Custom_Field::getDisplayValue($HTTP_POST_VARS['issue_id'], $fld_id);
+                    $new_display_value = Custom_Field::getDisplayValue($_POST['issue_id'], $fld_id);
                     $updated_fields[$field_titles[$fld_id]] = History::formatChanges($old_display_value, $new_display_value);
                 }
             }
         }
 
         Workflow::handleCustomFieldsUpdated($prj_id, $issue_id, $old_values, Custom_Field::getValuesByIssue($prj_id, $issue_id));
-        Issue::markAsUpdated($HTTP_POST_VARS["issue_id"]);
+        Issue::markAsUpdated($_POST["issue_id"]);
         // need to save a history entry for this
 
         if (count($updated_fields) > 0) {
@@ -312,7 +310,7 @@
                 }
                 $i++;
             }
-            History::add($HTTP_POST_VARS["issue_id"], Auth::getUserID(), History::getTypeID('custom_field_updated'), ev_gettext('Custom field updated (%1$s) by %2$s', $changes, User::getFullName(Auth::getUserID())));
+            History::add($_POST["issue_id"], Auth::getUserID(), History::getTypeID('custom_field_updated'), ev_gettext('Custom field updated (%1$s) by %2$s', $changes, User::getFullName(Auth::getUserID())));
         }
         return 1;
     }
@@ -657,9 +655,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  WHERE
@@ -712,28 +708,26 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (empty($HTTP_POST_VARS["report_form"])) {
-            $HTTP_POST_VARS["report_form"] = 0;
+        if (empty($_POST["report_form"])) {
+            $_POST["report_form"] = 0;
         }
-        if (empty($HTTP_POST_VARS["report_form_required"])) {
-            $HTTP_POST_VARS["report_form_required"] = 0;
+        if (empty($_POST["report_form_required"])) {
+            $_POST["report_form_required"] = 0;
         }
-        if (empty($HTTP_POST_VARS["anon_form"])) {
-            $HTTP_POST_VARS["anon_form"] = 0;
+        if (empty($_POST["anon_form"])) {
+            $_POST["anon_form"] = 0;
         }
-        if (empty($HTTP_POST_VARS["anon_form_required"])) {
-            $HTTP_POST_VARS["anon_form_required"] = 0;
+        if (empty($_POST["anon_form_required"])) {
+            $_POST["anon_form_required"] = 0;
         }
-        if (empty($HTTP_POST_VARS["list_display"])) {
-            $HTTP_POST_VARS["list_display"] = 0;
+        if (empty($_POST["list_display"])) {
+            $_POST["list_display"] = 0;
         }
-        if (empty($HTTP_POST_VARS["min_role"])) {
-            $HTTP_POST_VARS["min_role"] = 1;
+        if (empty($_POST["min_role"])) {
+            $_POST["min_role"] = 1;
         }
-        if (!isset($HTTP_POST_VARS["rank"])) {
-            $HTTP_POST_VARS["rank"] = (Custom_Field::getMaxRank() + 1);
+        if (!isset($_POST["rank"])) {
+            $_POST["rank"] = (Custom_Field::getMaxRank() + 1);
         }
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
@@ -750,17 +744,17 @@
                     fld_rank,
                     fld_backend
                  ) VALUES (
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["description"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["field_type"]) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS["report_form"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["report_form_required"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["anon_form"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["anon_form_required"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["list_display"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["min_role"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    '" . Misc::escapeString(@$HTTP_POST_VARS['custom_field_backend']) . "'
+                    '" . Misc::escapeString($_POST["title"]) . "',
+                    '" . Misc::escapeString($_POST["description"]) . "',
+                    '" . Misc::escapeString($_POST["field_type"]) . "',
+                    " . Misc::escapeInteger($_POST["report_form"]) . ",
+                    " . Misc::escapeInteger($_POST["report_form_required"]) . ",
+                    " . Misc::escapeInteger($_POST["anon_form"]) . ",
+                    " . Misc::escapeInteger($_POST["anon_form_required"]) . ",
+                    " . Misc::escapeInteger($_POST["list_display"]) . ",
+                    " . Misc::escapeInteger($_POST["min_role"]) . ",
+                    " . Misc::escapeInteger($_POST['rank']) . ",
+                    '" . Misc::escapeString(@$_POST['custom_field_backend']) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -768,15 +762,15 @@
             return -1;
         } else {
             $new_id = $GLOBALS["db_api"]->get_last_insert_id();
-            if (($HTTP_POST_VARS["field_type"] == 'combo') || ($HTTP_POST_VARS["field_type"] == 'multiple')) {
-                foreach ($HTTP_POST_VARS["field_options"] as $option_value) {
+            if (($_POST["field_type"] == 'combo') || ($_POST["field_type"] == 'multiple')) {
+                foreach ($_POST["field_options"] as $option_value) {
                     $params = Custom_Field::parseParameters($option_value);
                     Custom_Field::addOptions($new_id, $params["value"]);
                 }
             }
             // add the project associations!
-            for ($i = 0; $i < count($HTTP_POST_VARS["projects"]); $i++) {
-                Custom_Field::associateProject($HTTP_POST_VARS["projects"][$i], $new_id);
+            for ($i = 0; $i < count($_POST["projects"]); $i++) {
+                Custom_Field::associateProject($_POST["projects"][$i], $new_id);
             }
             return 1;
         }
@@ -1012,79 +1006,77 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (empty($HTTP_POST_VARS["report_form"])) {
-            $HTTP_POST_VARS["report_form"] = 0;
+        if (empty($_POST["report_form"])) {
+            $_POST["report_form"] = 0;
         }
-        if (empty($HTTP_POST_VARS["report_form_required"])) {
-            $HTTP_POST_VARS["report_form_required"] = 0;
+        if (empty($_POST["report_form_required"])) {
+            $_POST["report_form_required"] = 0;
         }
-        if (empty($HTTP_POST_VARS["anon_form"])) {
-            $HTTP_POST_VARS["anon_form"] = 0;
+        if (empty($_POST["anon_form"])) {
+            $_POST["anon_form"] = 0;
         }
-        if (empty($HTTP_POST_VARS["anon_form_required"])) {
-            $HTTP_POST_VARS["anon_form_required"] = 0;
+        if (empty($_POST["anon_form_required"])) {
+            $_POST["anon_form_required"] = 0;
         }
-        if (empty($HTTP_POST_VARS["list_display"])) {
-            $HTTP_POST_VARS["list_display"] = 0;
+        if (empty($_POST["list_display"])) {
+            $_POST["list_display"] = 0;
         }
-        if (empty($HTTP_POST_VARS["min_role"])) {
-            $HTTP_POST_VARS["min_role"] = 1;
+        if (empty($_POST["min_role"])) {
+            $_POST["min_role"] = 1;
         }
-        if (!isset($HTTP_POST_VARS["rank"])) {
-            $HTTP_POST_VARS["rank"] = (Custom_Field::getMaxRank() + 1);
+        if (!isset($_POST["rank"])) {
+            $_POST["rank"] = (Custom_Field::getMaxRank() + 1);
         }
-        $old_details = Custom_Field::getDetails($HTTP_POST_VARS["id"]);
+        $old_details = Custom_Field::getDetails($_POST["id"]);
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  SET
-                    fld_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    fld_description='" . Misc::escapeString($HTTP_POST_VARS["description"]) . "',
-                    fld_type='" . Misc::escapeString($HTTP_POST_VARS["field_type"]) . "',
-                    fld_report_form=" . Misc::escapeInteger($HTTP_POST_VARS["report_form"]) . ",
-                    fld_report_form_required=" . Misc::escapeInteger($HTTP_POST_VARS["report_form_required"]) . ",
-                    fld_anonymous_form=" . Misc::escapeInteger($HTTP_POST_VARS["anon_form"]) . ",
-                    fld_anonymous_form_required=" . Misc::escapeInteger($HTTP_POST_VARS["anon_form_required"]) . ",
-                    fld_list_display=" . Misc::escapeInteger($HTTP_POST_VARS["list_display"]) . ",
-                    fld_min_role=" . Misc::escapeInteger($HTTP_POST_VARS['min_role']) . ",
-                    fld_rank = " . Misc::escapeInteger($HTTP_POST_VARS['rank']) . ",
-                    fld_backend = '" . Misc::escapeString(@$HTTP_POST_VARS['custom_field_backend']) . "'
+                    fld_title='" . Misc::escapeString($_POST["title"]) . "',
+                    fld_description='" . Misc::escapeString($_POST["description"]) . "',
+                    fld_type='" . Misc::escapeString($_POST["field_type"]) . "',
+                    fld_report_form=" . Misc::escapeInteger($_POST["report_form"]) . ",
+                    fld_report_form_required=" . Misc::escapeInteger($_POST["report_form_required"]) . ",
+                    fld_anonymous_form=" . Misc::escapeInteger($_POST["anon_form"]) . ",
+                    fld_anonymous_form_required=" . Misc::escapeInteger($_POST["anon_form_required"]) . ",
+                    fld_list_display=" . Misc::escapeInteger($_POST["list_display"]) . ",
+                    fld_min_role=" . Misc::escapeInteger($_POST['min_role']) . ",
+                    fld_rank = " . Misc::escapeInteger($_POST['rank']) . ",
+                    fld_backend = '" . Misc::escapeString(@$_POST['custom_field_backend']) . "'
                  WHERE
-                    fld_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    fld_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
             // if the current custom field is a combo box, get all of the current options
-            if (in_array($HTTP_POST_VARS["field_type"], array('combo', 'multiple'))) {
+            if (in_array($_POST["field_type"], array('combo', 'multiple'))) {
                 $stmt = "SELECT
                             cfo_id
                          FROM
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field_option
                          WHERE
-                            cfo_fld_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                            cfo_fld_id=" . Misc::escapeInteger($_POST["id"]);
                 $current_options = $GLOBALS["db_api"]->dbh->getCol($stmt);
             }
             // gotta remove all custom field options if the field is being changed from a combo box to a text field
-            if (($old_details["fld_type"] != $HTTP_POST_VARS["field_type"]) &&
+            if (($old_details["fld_type"] != $_POST["field_type"]) &&
                       (!in_array($old_details['fld_type'], array('text', 'textarea'))) &&
-                      (!in_array($HTTP_POST_VARS["field_type"], array('combo', 'multiple')))) {
-                Custom_Field::removeOptionsByFields($HTTP_POST_VARS["id"]);
+                      (!in_array($_POST["field_type"], array('combo', 'multiple')))) {
+                Custom_Field::removeOptionsByFields($_POST["id"]);
             }
             // update the custom field options, if any
-            if (($HTTP_POST_VARS["field_type"] == "combo") || ($HTTP_POST_VARS["field_type"] == "multiple")) {
+            if (($_POST["field_type"] == "combo") || ($_POST["field_type"] == "multiple")) {
                 $updated_options = array();
-                if (empty($HTTP_POST_VARS['custom_field_backend'])) {
-                    foreach ($HTTP_POST_VARS["field_options"] as $option_value) {
+                if (empty($_POST['custom_field_backend'])) {
+                    foreach ($_POST["field_options"] as $option_value) {
                         $params = Custom_Field::parseParameters($option_value);
                         if ($params["type"] == 'new') {
-                            Custom_Field::addOptions($HTTP_POST_VARS["id"], $params["value"]);
+                            Custom_Field::addOptions($_POST["id"], $params["value"]);
                         } else {
                             $updated_options[] = $params["id"];
                             // check if the user is trying to update the value of this option
-                            if ($params["value"] != Custom_Field::getOptionValue($HTTP_POST_VARS["id"], $params["id"])) {
+                            if ($params["value"] != Custom_Field::getOptionValue($_POST["id"], $params["id"])) {
                                 Custom_Field::updateOption($params["id"], $params["value"]);
                             }
                         }
@@ -1093,34 +1085,34 @@
             }
             // get the diff between the current options and the ones posted by the form
             // and then remove the options not found in the form submissions
-            if (in_array($HTTP_POST_VARS["field_type"], array('combo', 'multiple'))) {
+            if (in_array($_POST["field_type"], array('combo', 'multiple'))) {
                 $diff_ids = @array_diff($current_options, $updated_options);
                 if (@count($diff_ids) > 0) {
-                    Custom_Field::removeOptions($HTTP_POST_VARS['id'], array_values($diff_ids));
+                    Custom_Field::removeOptions($_POST['id'], array_values($diff_ids));
                 }
             }
             // now we need to check for any changes in the project association of this custom field
             // and update the mapping table accordingly
-            $old_proj_ids = @array_keys(Custom_Field::getAssociatedProjects($HTTP_POST_VARS["id"]));
+            $old_proj_ids = @array_keys(Custom_Field::getAssociatedProjects($_POST["id"]));
             // COMPAT: this next line requires PHP > 4.0.4
-            $diff_ids = array_diff($old_proj_ids, $HTTP_POST_VARS["projects"]);
+            $diff_ids = array_diff($old_proj_ids, $_POST["projects"]);
             if (count($diff_ids) > 0) {
                 foreach ($diff_ids as $removed_prj_id) {
-                    Custom_Field::removeIssueAssociation($HTTP_POST_VARS["id"], false, $removed_prj_id );
+                    Custom_Field::removeIssueAssociation($_POST["id"], false, $removed_prj_id );
                 }
             }
             // update the project associations now
             $stmt = "DELETE FROM
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_custom_field
                      WHERE
-                        pcf_fld_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                        pcf_fld_id=" . Misc::escapeInteger($_POST["id"]);
             $res = $GLOBALS["db_api"]->dbh->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
             } else {
-                for ($i = 0; $i < count($HTTP_POST_VARS["projects"]); $i++) {
-                    Custom_Field::associateProject($HTTP_POST_VARS["projects"][$i], $HTTP_POST_VARS["id"]);
+                for ($i = 0; $i < count($_POST["projects"]); $i++) {
+                    Custom_Field::associateProject($_POST["projects"][$i], $_POST["id"]);
                 }
             }
             return 1;
Index: include/class.priority.php
===================================================================
--- include/class.priority.php	(revision 3164)
+++ include/class.priority.php	(working copy)
@@ -182,9 +182,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  WHERE
@@ -209,19 +207,17 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_priority
                  SET
-                    pri_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    pri_rank=" . Misc::escapeInteger($HTTP_POST_VARS['rank']) . "
+                    pri_title='" . Misc::escapeString($_POST["title"]) . "',
+                    pri_rank=" . Misc::escapeInteger($_POST['rank']) . "
                  WHERE
-                    pri_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . " AND
-                    pri_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    pri_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
+                    pri_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -240,9 +236,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -252,9 +246,9 @@
                     pri_title,
                     pri_rank
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rank']) . "
+                    " . Misc::escapeInteger($_POST["prj_id"]) . ",
+                    '" . Misc::escapeString($_POST["title"]) . "',
+                    " . Misc::escapeInteger($_POST['rank']) . "
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -361,4 +355,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Priority Class');
 }
-?>
\ No newline at end of file
+?>
Index: include/class.session.php
===================================================================
--- include/class.session.php	(revision 3164)
+++ include/class.session.php	(working copy)
@@ -50,8 +50,8 @@
      */
     function set($name, $var)
     {
-        GLOBAL $HTTP_SESSION_VARS;
-        $HTTP_SESSION_VARS[$name] = $var;
+        GLOBAL $_SESSION;
+        $_SESSION[$name] = $var;
     }
     
     
@@ -64,8 +64,8 @@
      */
     function get($name)
     {
-        GLOBAL $HTTP_SESSION_VARS;
-        return @$HTTP_SESSION_VARS[$name];
+        GLOBAL $_SESSION;
+        return @$_SESSION[$name];
     }
     
     
@@ -78,8 +78,8 @@
      */
     function is_set($name)
     {
-        GLOBAL $HTTP_SESSION_VARS;
-        return isset($HTTP_SESSION_VARS[$name]);
+        GLOBAL $_SESSION;
+        return isset($_SESSION[$name]);
     }
 
 
Index: popup.php
===================================================================
--- popup.php	(revision 3164)
+++ popup.php	(working copy)
@@ -54,72 +54,72 @@
 $usr_id = Auth::getUserID();
 $prj_id = Auth::getCurrentProject();
 
-if (@$HTTP_GET_VARS["cat"] == "delete_note") {
-    $res = Note::remove($HTTP_GET_VARS["id"]);
+if (@$_GET["cat"] == "delete_note") {
+    $res = Note::remove($_GET["id"]);
     $tpl->assign("note_delete_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "delete_time") {
-    $res = Time_Tracking::removeEntry($HTTP_GET_VARS["id"], $usr_id);
+} elseif (@$_GET["cat"] == "delete_time") {
+    $res = Time_Tracking::removeEntry($_GET["id"], $usr_id);
     $tpl->assign("time_delete_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "bulk_update") {
+} elseif (@$_POST["cat"] == "bulk_update") {
     $res = Issue::bulkUpdate();
     $tpl->assign("bulk_update_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "set_initial_impact") {
-    $res = Issue::setImpactAnalysis($HTTP_POST_VARS["issue_id"]);
+} elseif (@$_POST["cat"] == "set_initial_impact") {
+    $res = Issue::setImpactAnalysis($_POST["issue_id"]);
     $tpl->assign("set_initial_impact_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "add_requirement") {
-    $res = Impact_Analysis::insert($HTTP_POST_VARS["issue_id"]);
+} elseif (@$_POST["cat"] == "add_requirement") {
+    $res = Impact_Analysis::insert($_POST["issue_id"]);
     $tpl->assign("add_requirement_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "set_impact_requirement") {
-    $res = Impact_Analysis::update($HTTP_POST_VARS["isr_id"]);
+} elseif (@$_POST["cat"] == "set_impact_requirement") {
+    $res = Impact_Analysis::update($_POST["isr_id"]);
     $tpl->assign("set_impact_requirement_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "delete_requirement") {
+} elseif (@$_POST["cat"] == "delete_requirement") {
     $res = Impact_Analysis::remove();
     $tpl->assign("requirement_delete_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "save_filter") {
+} elseif (@$_POST["cat"] == "save_filter") {
     $res = Filter::save();
     $tpl->assign("save_filter_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "delete_filter") {
+} elseif (@$_POST["cat"] == "delete_filter") {
     $res = Filter::remove();
     $tpl->assign("delete_filter_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "remove_support_email") {
+} elseif (@$_POST["cat"] == "remove_support_email") {
     $res = Support::removeAssociation();
     $tpl->assign("remove_association_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "delete_attachment") {
-    $res = Attachment::remove($HTTP_GET_VARS["id"]);
+} elseif (@$_GET["cat"] == "delete_attachment") {
+    $res = Attachment::remove($_GET["id"]);
     $tpl->assign("remove_attachment_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "delete_file") {
-    $res = Attachment::removeIndividualFile($HTTP_GET_VARS["id"]);
+} elseif (@$_GET["cat"] == "delete_file") {
+    $res = Attachment::removeIndividualFile($_GET["id"]);
     $tpl->assign("remove_file_result", $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "remove_checkin") {
+} elseif (@$_POST["cat"] == "remove_checkin") {
     $res = SCM::remove();
     $tpl->assign("remove_checkin_result", $res);
-} elseif (@$HTTP_GET_VARS['cat'] == 'unassign') {
-    $res = Issue::deleteUserAssociation($HTTP_GET_VARS["iss_id"], $usr_id);
-    Workflow::handleAssignmentChange($prj_id, $HTTP_GET_VARS["iss_id"], Auth::getUserID(), Issue::getDetails($HTTP_GET_VARS["iss_id"]), Issue::getAssignedUserIDs($HTTP_GET_VARS["iss_id"]));
+} elseif (@$_GET['cat'] == 'unassign') {
+    $res = Issue::deleteUserAssociation($_GET["iss_id"], $usr_id);
+    Workflow::handleAssignmentChange($prj_id, $_GET["iss_id"], Auth::getUserID(), Issue::getDetails($_GET["iss_id"]), Issue::getAssignedUserIDs($_GET["iss_id"]));
     $tpl->assign('unassign_result', $res);
-} elseif (@$HTTP_POST_VARS["cat"] == "remove_email") {
+} elseif (@$_POST["cat"] == "remove_email") {
     $res = Support::removeEmails();
     $tpl->assign("remove_email_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "clear_duplicate") {
-    $res = Issue::clearDuplicateStatus($HTTP_GET_VARS["iss_id"]);
+} elseif (@$_GET["cat"] == "clear_duplicate") {
+    $res = Issue::clearDuplicateStatus($_GET["iss_id"]);
     $tpl->assign("clear_duplicate_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "delete_phone") {
-    $res = Phone_Support::remove($HTTP_GET_VARS["id"]);
+} elseif (@$_GET["cat"] == "delete_phone") {
+    $res = Phone_Support::remove($_GET["id"]);
     $tpl->assign("delete_phone_result", $res);
-} elseif (@$HTTP_GET_VARS["cat"] == "new_status") {
+} elseif (@$_GET["cat"] == "new_status") {
     // XXX: need to call the workflow api in the following function?
-    $res = Issue::setStatus($HTTP_GET_VARS["iss_id"], $HTTP_GET_VARS["new_sta_id"], true);
+    $res = Issue::setStatus($_GET["iss_id"], $_GET["new_sta_id"], true);
     if ($res == 1) {
-        History::add($HTTP_GET_VARS["iss_id"], $usr_id, History::getTypeID('status_changed'), 
-                "Issue manually set to status '" . Status::getStatusTitle($HTTP_GET_VARS["new_sta_id"]) . "' by " . User::getFullName($usr_id));
+        History::add($_GET["iss_id"], $usr_id, History::getTypeID('status_changed'), 
+                "Issue manually set to status '" . Status::getStatusTitle($_GET["new_sta_id"]) . "' by " . User::getFullName($usr_id));
     }
     $tpl->assign("new_status_result", $res);
-} elseif (@$HTTP_GET_VARS['cat'] == 'authorize_reply') {
-    $res = Authorized_Replier::addUser($HTTP_GET_VARS["iss_id"], $usr_id);
+} elseif (@$_GET['cat'] == 'authorize_reply') {
+    $res = Authorized_Replier::addUser($_GET["iss_id"], $usr_id);
     $tpl->assign('authorize_reply_result', $res);
-} elseif (@$HTTP_GET_VARS['cat'] == 'remove_quarantine') {
+} elseif (@$_GET['cat'] == 'remove_quarantine') {
     if (Auth::getCurrentRole() > User::getRoleID('Developer')) {
-        $res = Issue::setQuarantine($HTTP_GET_VARS['iss_id'], 0);
+        $res = Issue::setQuarantine($_GET['iss_id'], 0);
         $tpl->assign('remove_quarantine_result', $res);
     }
 }
Index: misc/scm/process_cvs_commits.php
===================================================================
--- misc/scm/process_cvs_commits.php	(revision 3164)
+++ misc/scm/process_cvs_commits.php	(working copy)
@@ -53,18 +53,18 @@
 }
 
 if (isset($_SERVER)) {
-    $HTTP_SERVER_VARS = $_SERVER;
+    $_SERVER = $_SERVER;
 }
 
 $input = getInput();
 
 // remove the first element which is the name of this script
-array_shift($HTTP_SERVER_VARS['argv']);
+array_shift($_SERVER['argv']);
 
 // save who is committing these changes
-$username = array_shift($HTTP_SERVER_VARS['argv']);
+$username = array_shift($_SERVER['argv']);
 // save what the name of the module is
-$cvs_arguments = array_shift($HTTP_SERVER_VARS['argv']);
+$cvs_arguments = array_shift($_SERVER['argv']);
 $pieces = explode(' ', $cvs_arguments);
 $cvs_module = array_shift($pieces);
 
Index: misc/cli/include/class.command_line.php
===================================================================
--- misc/cli/include/class.command_line.php	(revision 3164)
+++ misc/cli/include/class.command_line.php	(working copy)
@@ -1574,10 +1574,8 @@
      */
     function isSafeExecution()
     {
-        global $HTTP_SERVER_VARS;
-
-        if ($HTTP_SERVER_VARS['argv'][count($HTTP_SERVER_VARS['argv'])-1] == '--safe') {
-            unset($HTTP_SERVER_VARS['argv'][count($HTTP_SERVER_VARS['argv'])-1]);
+        if ($_SERVER['argv'][count($_SERVER['argv'])-1] == '--safe') {
+            unset($_SERVER['argv'][count($_SERVER['argv'])-1]);
             return true;
         } else {
             return false;
@@ -1747,4 +1745,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included Command_Line Class');
 }
-?>
\ No newline at end of file
+?>
